# Uses of Interface
org.eclipse.net4j.db.IDBConnection

Packages that use IDBConnection
Package
Description
org.eclipse.net4j.db
The Net4j DB framework.
org.eclipse.net4j.spi.db
Server service provider interfaces and useful base implementations for the Net4j DB framework.

## Uses of IDBConnection in org.eclipse.net4j.db

Methods in org.eclipse.net4j.db that return IDBConnection
Modifier and Type
Method
Description
`IDBConnection`
IDBDatabase.`getConnection()`
`IDBConnection`
IDBPreparedStatement.`getConnection()`
`IDBConnection`
IDBSchemaTransaction.`getConnection()`
`IDBConnection[]`
IDBDatabase.`getConnections()`
`IDBConnection`
IDBPreparedStatement.`getTransaction()`
Deprecated.
As of 4.3 use `IDBPreparedStatement.getConnection()`.
Methods in org.eclipse.net4j.db with parameters of type IDBConnection
Modifier and Type
Method
Description
`IDBSchemaTransaction`
IDBAdapter.`openSchemaTransaction(IDBDatabase database, IDBConnection currentConnection)`
Opens a schema transaction through the adapter extension point.
`IDBSchemaTransaction`
IDBDatabase.`openSchemaTransaction(IDBConnection connection)`

## Uses of IDBConnection in org.eclipse.net4j.spi.db

Methods in org.eclipse.net4j.spi.db with parameters of type IDBConnection
Modifier and Type
Method
Description
`IDBSchemaTransaction`
DBAdapter.`openSchemaTransaction(IDBDatabase database, IDBConnection currentConnection)`
`IDBSchemaTransaction`
DelegatingDBAdapter.`openSchemaTransaction(IDBDatabase database, IDBConnection currentConnection)`